acetoneiso (2.4-5) unstable; urgency=medium

  * d/control:
    - Adopt package setting Maintainer to myself (Closes: #1049354).
    - Drop cdbs from Build-Depends.
    - Switch to DH compat format and raise level to 13; consequently
      drop d/compat.
    - Under Recommends, replace gnupg2 with gnupg (Closes: #1055395)
      and add xorisso, the "Folder to ISO" feature needs it.
    - Under Suggests, replace p7zip-full with 7zip and 7zip-rar
      (Closes: #1063541), replace aria with aria2.
    - Add 'Rules-Requires-Root: no'.
    - Add fields Vcs-Git and Vcs-Browser.
    - Add field Homepage.
    - Bump Standards-Version to 4.7.0.
    - Apply 'wrap-and-sort -at'.
  * d/rules:
    - Rework it to rely on DH only, not using cdbs anymore.
  * d/docs:
    - Add file TODO.
  * d/manpages:
    - Add this file.
  * d/gbp.conf:
    - Introduce gbp configuration file.
  * d/salsa-ci.yml:
    - Introduce Salsa-Ci configuration file.
  * d/watch:
    - Update to version 4 and make it work again.
  * d/p/*:
    - Append .patch suffix to all patches.
    - Revise all patch headers to comply with DEP-3.
    - Update remove_defunct_homepage.patch:
      - Fix spelling error Distribuited -> Distributed.
    - Update translate.patch:
      - Import updated translations from Launchpad (2023-04-12)
        and extend header with instructions how to accomplish this.
    - Extend qt5_port.patch:
      - Fix deprecation warnings issued during build to comply with
        Qt 5.15 LTS.
    - Update add_desktop_keywords.patch:
      - Add Comment and Comment[de] entries for the .desktop file.
    - Rename add_desktop_keywords.patch to add_desktop_entries.patch.
  * d/s/lintian-overrides:
    - Introduce override for tag source-is-missing, drop all others.
  * d/u/metadata:
    - Added upstream metadata file.
  * d/copyright:
    - Use a secure URI in Format field.
    - Remove commented out Source field.
    - Adjust file pattern */manual/manual.html to acetoniso/manual/*.html.
    - Push upstream's copyright years to 2013.
    - Apply some reformatting to avoid lines longer then 80 characters.
    - Update years and copyright holders regarding the debian/* stanza.

 -- Sven Geuer <sge@debian.org>  Wed, 25 Sep 2024 15:27:26 +0200

acetoneiso (2.4-4) unstable; urgency=medium

  * QA upload
  * Suggest yt-dlp (Closes: #1024231)
  * Drop Vcs fields
  * Neutralize the MetaCafe download (Closes: #1028567)

  [ Dmitry Shachnev ]
  * debian/rules: Export QMAKE that is set by cdbs. This is needed for
    lrelease to work properly on cross builds (Closes: #889752)

 -- Bastian Germann <bage@debian.org>  Mon, 14 Aug 2023 17:05:46 +0200

acetoneiso (2.4-3) unstable; urgency=medium

  * Port code to Qt 5 (Closes: #784449, #875929, #874814)
  * Internationalization
    - d/p/update_forms: Cleanup of translatable strings for UI forms
    - Update po translation files
    - Update translations from Launchpad (2017-03-22)
      + Updated English (United Kingdom)
      + Updated Polish
      + Updated Russian
      + Updated Ukrainian
      + Added Indonesian
      + Added Japanese
      + Added Norwegian Nynorsk
      + Added Occitan (post 1500)
      + Added Serbian
  * Dependency cleanup of external programs
    - Move general CD/DVD handling related packages to Recommends
    - Move extra format related packages to Suggests
    - d/p/youtube_dl_system: Try to use system wide youtube-dl
    - d/p/replace_poweriso: Do not automatically download and install
      PowerISO (Closes: #609526)
  * d/p/add_desktop_keywords: Add Keywords entry for provided .desktop file
  * General package maintenance
    - Add d/source/options to exclude non-release files
    - Bump standards version to 4.1.1
    - Use secure URLs for d/watch
    - Update lintian overrides

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 25 Nov 2017 21:14:29 +0100

acetoneiso (2.4-2) unstable; urgency=low

  * Mark the package as linux-any, since fuseiso is not available in
    non-linux platforms (Closes: #747457)
  * Add appropriate lintian overrides, since upstream homepage is not
    available any more
  * Drop patches/add_desktop_categories since categories are now included in
    upstream version
  * Update translations from Launchpad (2014-03-05)
    - Updated Russian one
    - Included Slovakian one

 -- Nick Andrik <nick.andrik@gmail.com>  Fri, 27 Jun 2014 18:47:29 +0200

acetoneiso (2.4-1) unstable; urgency=low

  * New upstream release
    - converted genisoimage to xorriso for "Folder to ISO" feature
    - default KDE file manager now set to dolphin, removed kmfclient usage
    - fixed youtube-dl "-b" option not working anymore
    - fixed issue when mounting in an a generic folder [reported by
      Jack Bauer]
    - ensure gpg2 is installed, bug ticket about gpg2
      https://bugs.launchpad.net/ubuntu/+source/gnupg2/+bug/659509
    - removed phonon dependency
    - updated Russian translation [Thanks to Oleg Koptev]
    - added Spanish translation [Thanks to Otniel Watanabe]
    - UI changes, disabled all incomplete features (burning, torrent) and
      disabled updates tab

  * Translations
    - update Portuguese Brazilian translation (Closes: #715318)
    - include new translations from Launchpad (2013-11-14)
    - fix untranslated strings that were shown as empty (Closes: #728829,
      LP: #1220868)
  * Remove references to defunct homepage (Closes: #706741, LP: #1179127)
  * Update the copyright file to include all HTML manuals
  * Allow build for any architecture (it was linux-any)
  * Bump standards version to 3.9.5
  * Added VCS links
  * Added Categories entry to .desktop file

 -- Nick Andrik <nick.andrik@gmail.com>  Sun, 17 Nov 2013 05:05:08 +0100

acetoneiso (2.3-3) unstable; urgency=low

  * Replace fuse-utils build-dependency with fuse, since the package has
    been renamed (Closes: #698120)
  * Update translations from Launchpad

  * Support for hardening
    - bumped compatibility level to 9
    - bumped debhelper build-dependency version to 9
    - enabled hardening flags in debian/rules
  * Updated debian/copyright in format 1.0
  * Bumped standards version to 3.9.4

 -- Nick Andrik <nick.andrik@gmail.com>  Fri, 18 Jan 2013 16:06:57 +0100

acetoneiso (2.3-2) unstable; urgency=low

  * debian/control:
    - drop the libqt4-dev (<< 4:4.7.0~beta2) in build dependencies; not needed
      any more because libqt4-dev is already updated (Closes: #655616) [Thanks
      to Peter Green]
    - replace libqt4-webkit dependency with libqtwebkit4, since the former is
      just a transitional package by now; automatically done by dpkg-shlibdeps
      (Closes: #639783)
    - bumped standards version to 3.9.2
  * debian/changelog:
    - corrected spelling of "MS" [Thanks to Jonathan Nieder]

 -- Nick Andrik <nick.andrik@gmail.com>  Fri, 13 Jan 2012 01:50:47 +0100

acetoneiso (2.3-1) unstable; urgency=low

  * New upstream release
    - added utility to burn ISO/TOC/CUE images to CD-R/RW optical discs
    - added utility to burn ISO images to DVD-+R/RW optical discs (including
      DL)
    - AcetoneISO can now burn the raw images it generates when creating an
      image from CD-Audio (ToC support)
    - fixed segmentation fault in erase CD/DVD function when no CD/DVD device
      is found
    - notice user when mounting an UDF ISO image, providing him correct Linux
      command to mount the image as root user (tested with MS Windows 7 ISOs)
    - small GUI changes, most importantly the GUI window size is not
      locked to a minimum value anymore
    - updated some i18n translations

  * debian/control:
    - bumped standards version to 3.9.1
  * debian/patches:
    - change-name-and-version-in-help: removed, has been fixed upstream
    - add_manpage: updated version and date
    - correct-spelling-errors: update for the new source/translation files

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 27 Nov 2010 23:01:53 +0100

acetoneiso (2.2.2-3) unstable; urgency=low

  * debian/control:
    - removed or-build-dependency libqt4-phonon-dev, since it is covered by
      libphonon-dev
    - changed the order in the suggestion list of the file managers so that
      nautilus (the usual default) is first
    - updated the description to something more user friendly (Closes:
      #591411, LP: #602688) [Thanks to Sense Hofstede]
    - updated debhelper dependency to version 7
  * debian/compat:
    - bumped version to 7

 -- Nick Andrik <nick.andrik@gmail.com>  Tue, 03 Aug 2010 00:25:57 +0200

acetoneiso (2.2.2-2) unstable; urgency=low

  * debian/control:
    - added libwebkit-dev or-build-dependency, since libqt4-dev
      (>= 4:4.7.0~beta2-1) does not include Qt Webkit any more
      [Thanks to Felix Geyer]

 -- Nick Andrik <nick.andrik@gmail.com>  Wed, 14 Jul 2010 22:25:24 +0200

acetoneiso (2.2.2-1) unstable; urgency=low

  * New upstream release
    - added support for LXDE (PCManFM) file manager; patch provided by
      Andrea Florio
    - splitting an image in multiple parts no longer uses compression
      algorithm [Thanks to Dominik Dera]
    - fixed a bug that prevented database from listing images when the path
      had accented characters in it
    - fixed bug that ignored saved path destination when downloading a video
      from Youtube [Thanks to Guido Cordaro]
    - fixed utube.h warnings that occured when compiling sources
    - fixed some filters in QDialogs
    - removed useless QMessageBox warning when mounting an image and file
      manager was set to "none"
    - updated AcetoneISO.desktop file according to the freedesktop.org
      desktop-entry-spec-1.1 [Thanks to Anatoly Lyutin]

  * debian/watch:
    - updated the watch URL
  * debian/control:
    - bumped standards version to 3.9.0
    - downgraded the file manager dependency list to suggestion, added thunar
      and dolphin and removed dolphin-kde4 and konqueror-kde4
    - restricted the architecture to linux-any; FUSE is not yet available for
      kfreeBSD
  * Switch to dpkg-source 3.0 (quilt) format
    - debian/source/format:
      + added file with "3.0 (quilt)" content
    - debian/rules:
      + removed patchsys-quilt.mk include
    - debian/control:
      + removed quilt build dependency
    - debian/README.source:
      + removed, no longer required
  * Changes remaining:
    - correct spelling errors:
      + debian/patches/correct-spelling-errors: fix some typos in the source
        files
      + debian/rules: generate automatically the updated .qm translation files
    - debian/paches/change-name-and-version-in-help: correct the executable
      name and version for when the program is run with the --help argument
    - debian/paches/add_manpage: added a manpage for the application

 -- Nick Andrik <nick.andrik@gmail.com>  Tue, 13 Jul 2010 16:41:38 +0200

acetoneiso (2.2.1-1) unstable; urgency=low

  * New upstream release
    - fixed segmentation fault that occured if ~/.acetoneiso folder didn't
      exist

  * Initial release (Closes: #540426, LP: #238577)
    - based on the debianized version from getdeb.net [Thanks to Joao Pinto]
  * debian/control:
    - updated description
    - updated project homepage
    - added quilt to build dependencies
    - added libphonon-dev | libqt4-phonon-dev on build dependencies
    - removed libqt4-qui from dependency list since it is added by shlibs
    - removed the ia32-libs [amd64] dependency since it is needed only for
      PowerISO which is not packaged yet
    - downgrade mencoder from dependency to suggestion since it is not packaged
      in Debian
  * debian/rules:
    - added qmake class for CDBS
    - added DEB_BUILDDIR and DEB_INSTALL_CHANGELOGS_ALL variables
    - removed explicit rules
    - added support for quilt
  * debian/copyright:
    - updated copyright info
    - updated project download page
    - corrected program license version to GPLv3+
    - added GFDL for manual.html
  * debian/watch:
    - added watch link
  * debian/patches:
    - desktop-entry-remove-encoding: remove the Enconding entry from the
      .desktop file
    - correct-spelling-errors: correct some spelling errors in the source files
    - change-name-and-version-in-help: correct the executable name and version
      for when the program is run with the --help argument
    - add_manpage: added a manpage for the application

 -- Nick Andrik <nick.andrik@gmail.com>  Tue, 19 Jan 2010 20:16:15 +0100

acetoneiso (2.1.1-1~getdeb1) jaunty; urgency=low

  * New upstream release
    - all processes that have output have now a real time display instead of a
      fake redundant progress bar
    - when converting a DVD to an XViD AVI, it is now possible to decide if audio
      should be encoded to MP3 or left in the original format
    - fixed a bug that caused AcetoneISO to go in segmentation fault after a
      process ends and it was placed in tray icon
    - when starting a process all buttons that can call another process get
      disabled to avoid mixing processes at the same time
    - removed obsolete ElTorito features
    - it is now possible to convert or extract from CUE sheet files
    - fixed a segmentation fault that occured if acetoneiso.conf file for some
      reasons didn't have "DB =" string (patch by Jochen Fähnlein)

 -- Joao Pinto <joao.pinto@getdeb.net>  Fri, 25 Sep 2009 22:35:17 +0000

acetoneiso (2.0.4-1~getdeb1) jaunty; urgency=low

  * New upstream release
    - added feature to quickly convert any video for Sony Playstation Portable
    - added support for thunar as file manager and option to set file manager
      to "none"
    - enhancements in the GUI
    - updated and added new icons
    - updated Italian translation
    - ask confirmation when unmounting an image

 -- Joao Pinto <joao.pinto@getdeb.net>  Sun, 30 Aug 2009 11:00:07 +0000

acetoneiso (2.0.3.2-1~getdeb1) jaunty; urgency=low

  * New upstream release

 -- Joao Pinto <joao.pinto@getdeb.net>  Thu, 23 Jul 2009 09:51:05 +0000

acetoneiso (2.0.3.1-1~getdeb1) jaunty; urgency=low

  * New upstream release
    - fixed Youtube bug, it didn't update anymore due to a server
      change of the author
    - fixed a mount bug that occured when mounting an image of this type:
      "abc.xyz.iso"
    - small GUI revamp with a better news browser
    - the default size of the manual widget has been resized to default
      to 640*480 avoiding nasty things on netbooks and similar
    - added Simplified Chinese locale files
    - added Czech translation

 -- Joao Pinto <joao.pinto@getdeb.net>  Thu, 11 Jun 2009 11:51:20 +0000

acetoneiso (2.0.3-1~getdeb1) jaunty; urgency=low

  * New upstream release

 -- Joao Pinto <joao.pinto@getdeb.net>  Sat, 25 Apr 2009 19:49:50 +0000

acetoneiso (2.0.3~rc1-1~getdeb1) intrepid; urgency=low

  * Updated PowerISO link to 1.3 release
  * Enhanced database with search field and context menu
  * Enhanced general GUI look
  * Added support for input through command line (beta feature);
    you can now click on an ISO file and "Open With AcetoneISO"
  * Added "exract audio from video file" feature
  * Added login download from Youtube
  * Added Pornotube and Metacafe download
  * Added saving log $HOME/.acetoneiso/acetoneiso.log where
    it is supported
  * Added a news section in main window GUI which will show
    any message we want through HTTP
  * Split feature now uses 7z method for splitting
  * Added feature to extract a *.rar that has a password
  * Generating ISO from CD/DVD now supports multiple devices
  * Setting of database is now done through option menu
  * Removed mount UDF feature
  * A lot of small bugfixes and better output messages
  * The executable has been renamed to "acetoneiso"

 -- Christoph Korn <c_korn@gmx.de>  Sun, 08 Mar 2009 20:01:39 +0100

acetoneiso (2.0.2-0~getdeb1) intrepid; urgency=low

  * Re-package for intrepid

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 27 Oct 2008 19:53:48 +0000

acetoneiso (2.0.2-0~getdeb1) hardy; urgency=low

  * New upstream release

 -- Joao Pinto <joao.pinto@getdeb.net>  Wed, 07 May 2008 10:42:47 +0000
